From 50d4058545a92ced950e414d62cd9aff89f9bc87 Mon Sep 17 00:00:00 2001
From: Nils Philippsen <nils@redhat.com>
Date: Dec 11 2017 13:56:16 +0000
Subject: [PATCH 25/51] warn about unknown license keys/blocks


---

diff --git a/src/_fedmod/modulemd_linter.py b/src/_fedmod/modulemd_linter.py
index 40b82ef..3a6d762 100644
--- a/src/_fedmod/modulemd_linter.py
+++ b/src/_fedmod/modulemd_linter.py
@@ -269,18 +269,25 @@ class ModuleMDLinter(object):
 
     @error
     @guidelines_link('#Module_licensing')
-    @detail(
-        "The license block must be a dictionary (key/value). Recognized keys"
-        " are 'module' and 'content'.")
+    @detail("The license block must be a dictionary (key/value).")
     @prerequisite('license_block_exists')
-    def lint_license_block_keys(self):
+    def lint_license_block_dict(self):
         """Every module MUST contain a license block."""
         self.check_is_dict(self.mmd['license'])
 
+    @warning
+    @guidelines_link('#Module_licensing')
+    @detail("The license block must be a dictionary (key/value). Recognized"
+            " keys are 'module' and 'content'.")
+    @prerequisite('license_block_dict')
+    def lint_license_block_keys(self):
+        """Every module MUST contain a license block."""
+        self.check(set(self.mmd['license']) <= {'module', 'content'})
+
     @error
     @guidelines_link('#Module_licensing')
     @detail("The module license block must exist.")
-    @prerequisite('license_block_keys')
+    @prerequisite('license_block_dict')
     def lint_license_module_block_exists(self):
         """Every module MUST contain a license block and declare a list of
         the module's licenses."""
@@ -316,7 +323,7 @@ class ModuleMDLinter(object):
     @error
     @guidelines_link('#Module_licensing')
     @detail("The content license block must be a list if it exists.")
-    @prerequisite('license_block_keys')
+    @prerequisite('license_block_dict')
     def lint_license_content(self):
         """The packager MAY also define a list of content licenses."""
         if 'content' in self.mmd['license']:

